# RSS search system
# this script will make a web contents database
#
# for mysql database

drop table if exists contents;
create table contents (
	cid int(10) not null default '1' auto_increment,					# uniq.id of each contents.
	mkey varchar(255) not null,											# message digest
	sitename varchar(255) not null default '',							# site name
	title varchar(255) not null default '',								# document title
	url text not null,													# URL
	contents mediumblob not null,										# contents

	primary key (cid)
) TYPE=MyISAM;

create index idx_mkey on contents(mkey(16));
